// Arquivo de exemplo: sobrecarga.cs
// Para compilar use: csc sobrecarga.cs
using System;
public class Livro {
	public void Teste() {
		System.Console.WriteLine("Método Teste()");
	}
	public int Teste(int i) {
		return i;
	}
	public string Teste(int a, string str) {
		return str + " " + a;
	}
	public string Teste(string str, int a) {
		return a + " " + str;
	}		
}
class TesteLivro {
	static void Main() {
		Livro lv = new Livro();
		lv.Teste();
		Console.WriteLine(lv.Teste(8));
		Console.WriteLine(lv.Teste(10,"Segunda string"));
		Console.WriteLine(lv.Teste("Primeira string",10));
		Console.Read();
	}
}
